#include "eydrle2.hh"

namespace EydTools {
	EydRle2::EydRle2(){
		_mode_compress = EYDRLE2_MODE_UNDEF;
		_input_file.clear();
		_output_file.clear();
		_cellsize = 8; // one octet each time (by default);
	}

	void EydRle2::run(){
		if (_mode_compress == EYDRLE2_MODE_COMPRESS){
			this->compress();
		} else {
			this->uncompress();
		}
	}

}

